org.icefaces.ace.component.autocompleteentry

## Enum AutoCompleteEntryBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<AutoCompleteEntryBase.PropertyKeys>
  - - org.icefaces.ace.component.autocompleteentry.AutoCompleteEntryBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AutoCompleteEntryBase.PropertyKeys>
  Enclosing class:
    AutoCompleteEntryBase

      protected static enum AutoCompleteEntryBase.PropertyKeys
      extends java.lang.Enum<AutoCompleteEntryBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `caseSensitive`
    `clientSide`
    `delay`
    `direction`
    `filterBy`
    `filterMatchMode`
    `height`
    `hideEffect`
    `hideEffectLength`
    `indicatorPosition`
    `itemList`
    `labelPosition`
    `listValue`
    `listVar`
    `minChars`
    `optionalIndicator`
    `populateList`
    `requiredIndicator`
    `reset`
    `rows`
    `showEffect`
    `showEffectLength`
    `submittedText`
    `text`
    `textChangeListener`
    `width`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static AutoCompleteEntryBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AutoCompleteEntryBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### caseSensitive

          public static final AutoCompleteEntryBase.PropertyKeys caseSensitive

    - #### clientSide

          public static final AutoCompleteEntryBase.PropertyKeys clientSide

    - #### delay

          public static final AutoCompleteEntryBase.PropertyKeys delay

    - #### direction

          public static final AutoCompleteEntryBase.PropertyKeys direction

    - #### filterBy

          public static final AutoCompleteEntryBase.PropertyKeys filterBy

    - #### filterMatchMode

          public static final AutoCompleteEntryBase.PropertyKeys filterMatchMode

    - #### height

          public static final AutoCompleteEntryBase.PropertyKeys height

    - #### hideEffect

          public static final AutoCompleteEntryBase.PropertyKeys hideEffect

    - #### hideEffectLength

          public static final AutoCompleteEntryBase.PropertyKeys hideEffectLength

    - #### indicatorPosition

          public static final AutoCompleteEntryBase.PropertyKeys indicatorPosition

    - #### labelPosition

          public static final AutoCompleteEntryBase.PropertyKeys labelPosition

    - #### listValue

          public static final AutoCompleteEntryBase.PropertyKeys listValue

    - #### listVar

          public static final AutoCompleteEntryBase.PropertyKeys listVar

    - #### minChars

          public static final AutoCompleteEntryBase.PropertyKeys minChars

    - #### optionalIndicator

          public static final AutoCompleteEntryBase.PropertyKeys optionalIndicator

    - #### requiredIndicator

          public static final AutoCompleteEntryBase.PropertyKeys requiredIndicator

    - #### reset

          public static final AutoCompleteEntryBase.PropertyKeys reset

    - #### rows

          public static final AutoCompleteEntryBase.PropertyKeys rows

    - #### showEffect

          public static final AutoCompleteEntryBase.PropertyKeys showEffect

    - #### showEffectLength

          public static final AutoCompleteEntryBase.PropertyKeys showEffectLength

    - #### textChangeListener

          public static final AutoCompleteEntryBase.PropertyKeys textChangeListener

    - #### width

          public static final AutoCompleteEntryBase.PropertyKeys width

    - #### itemList

          public static final AutoCompleteEntryBase.PropertyKeys itemList

    - #### populateList

          public static final AutoCompleteEntryBase.PropertyKeys populateList

    - #### submittedText

          public static final AutoCompleteEntryBase.PropertyKeys submittedText

    - #### text

          public static final AutoCompleteEntryBase.PropertyKeys text

  - ### Method Detail

    - #### values

          public static AutoCompleteEntryBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AutoCompleteEntryBase.PropertyKeys c : AutoCompleteEntryBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AutoCompleteEntryBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<AutoCompleteEntryBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.